package com.gyee.generation.util.statisticcs;

import com.gyee.common.contant.Contant;
import com.gyee.generation.model.auto.ProBasicEquipment;
import com.gyee.generation.model.vo.StatusItemVo;

import java.util.Date;
import java.util.Map;

public class ActivePowerStatistics extends StatusStatistics {

    public ActivePowerStatistics(Map<String, ProBasicEquipment> windTurbines, Date date) {
        super(windTurbines, date);
    }

    @Override
    public void addPointValue(String windTurbineId, double value) {
        ProBasicEquipment wt = windTurbines.get(windTurbineId);


        if (dic.containsKey(wt.getWindpowerstationId()) && dic.get(wt.getWindpowerstationId()).containsKey(Contant.SSZGL)) {

            Map<String, StatusItemVo> tempmap = dic.get(wt.getWindpowerstationId());
            Double tempvalue = tempmap.get(Contant.SSZGL).getEdnaValue();
            tempvalue++;
            tempmap.get(Contant.SSZGL).setEdnaValue(tempvalue);


        }
        if (dic.containsKey(wt.getLineId()) && dic.get(wt.getLineId()).containsKey(Contant.SSZGL)) {

            Map<String, StatusItemVo> tempmap = dic.get(wt.getLineId());
            Double tempvalue = tempmap.get(Contant.SSZGL).getEdnaValue();
            tempvalue++;
            tempmap.get(Contant.SSZGL).setEdnaValue(tempvalue);


        }
        if (dic.containsKey(wt.getProjectId()) && dic.get(wt.getProjectId()).containsKey(Contant.SSZGL)) {

            Map<String, StatusItemVo> tempmap = dic.get(wt.getProjectId());
            Double tempvalue = tempmap.get(Contant.SSZGL).getEdnaValue();
            tempvalue++;
            tempmap.get(Contant.SSZGL).setEdnaValue(tempvalue);


        }
        if (dic.containsKey("0") && dic.get("0").containsKey(Contant.SSZGL)) {

            Map<String, StatusItemVo> tempmap = dic.get("0");
            Double tempvalue = tempmap.get(Contant.SSZGL).getEdnaValue();
            tempvalue++;
            tempmap.get(Contant.SSZGL).setEdnaValue(tempvalue);


        }
        if (wt.getWindpowerstationId().indexOf("FDC") >= 0) {
            if (dic.containsKey("-1") && dic.get("-1").containsKey(Contant.SSZGL)) {

                Map<String, StatusItemVo> tempmap = dic.get("-1");
                Double tempvalue = tempmap.get(Contant.SSZGL).getEdnaValue();
                tempvalue++;
                tempmap.get(Contant.SSZGL).setEdnaValue(tempvalue);

            }
        } else {
            if (dic.containsKey("-2") && dic.get("-2").containsKey(Contant.SSZGL)) {

                Map<String, StatusItemVo> tempmap = dic.get("-2");
                Double tempvalue = tempmap.get(Contant.SSZGL).getEdnaValue();
                tempvalue++;
                tempmap.get(Contant.SSZGL).setEdnaValue(tempvalue);

            }
        }

    }

}
